Loading...
Searching...
No Matches
BALL::PeakList< PT > Class Template Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » NMR spectra and related classes

`#include <BALL/NMR/peakList.h>`

Inheritance diagram for BALL::PeakList< PT >:

## Public Types

Typedefs
typedef PT::Position | Position
| The peak position type.
typedef PT | PeakType
| The peak type.
typedef std::list< PT >::iterator | Iterator
typedef std::list< PT >::const_iterator | ConstIterator

## Public Member Functions

Constructors and Destructors
| PeakList ()
| PeakList (const PeakList &peak_list)
virtual | ~PeakList ()
Accessors
void | scale (float x)
float | getMaxIntensity () const
float | getMinIntensity () const

## Detailed Description

template<typename PT>
class BALL::PeakList< PT >

A generic peak list for spectra of arbitrary dimension.

Definition at line 22 of file peakList.h.

## Member Typedef Documentation

## ConstIterator

template<typename PT>

typedef std::list<PT>::const_iterator BALL::PeakList< PT >::ConstIterator

Definition at line 43 of file peakList.h.

## Iterator

template<typename PT>

typedef std::list<PT>::iterator BALL::PeakList< PT >::Iterator

Definition at line 40 of file peakList.h.

## PeakType

template<typename PT>

typedef PT BALL::PeakList< PT >::PeakType

The peak type.

Definition at line 37 of file peakList.h.

## Position

template<typename PT>

typedef PT::Position BALL::PeakList< PT >::Position

The peak position type.

Definition at line 34 of file peakList.h.

## Constructor & Destructor Documentation

## PeakList() [1/2]

template<typename PT>

BALL::PeakList< PT >::PeakList | ( |  | ) |

inline

Default Constructor

Definition at line 52 of file peakList.h.

## PeakList() [2/2]

template<typename PT>

BALL::PeakList< PT >::PeakList | ( | const PeakList< PT > & | peak_list | ) |

inline

Copy constructor

Definition at line 58 of file peakList.h.

## ~PeakList()

template<typename PT>

virtual BALL::PeakList< PT >::~PeakList | ( |  | ) |

inline virtual

Destructor

Definition at line 65 of file peakList.h.

## Member Function Documentation

## getMaxIntensity()

template<typename PT>

float BALL::PeakList< PT >::getMaxIntensity | ( |  | ) | const

inline

Determine the maximum intensity of all peaks.

Returns
  maximum intensity, std::numeric_limits<float>::min() for an empty peak list

Definition at line 89 of file peakList.h.

## getMinIntensity()

template<typename PT>

float BALL::PeakList< PT >::getMinIntensity | ( |  | ) | const

inline

Determine the minimum intensity of all peaks.

Returns
  minimum intensity, std::numeric_limits<float>::max() for an empty peak list

Definition at line 104 of file peakList.h.

## scale()

template<typename PT>

void BALL::PeakList< PT >::scale | ( | float | x | ) |

inline

Scale all peak intensities with a factor.

Definition at line 77 of file peakList.h.